#!/usr/bin/env node
'use strict';

var _clear = require('clear');

var _clear2 = _interopRequireDefault(_clear);

var _messages = require('./src/messages');

var _userInput = require('./src/userInput');

var _download = require('./src/download');

var _download2 = _interopRequireDefault(_download);

var _initialise = require('./src/initialise');

var _initialise2 = _interopRequireDefault(_initialise);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _clear2.default)();
(0, _messages.banner)();

var args = (0, _userInput.getArgs)();

(0, _userInput.getAnswers)(args._).then(_download2.default).then(_initialise2.default).then(function () {

  (0, _messages.status)('Complete\n');
}).catch(function (err) {

  (0, _messages.status)('Failed: ' + err.message + '\n', false);
});