'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAnswers = exports.getArgs = undefined;

var _inquirer = require('inquirer');

var _inquirer2 = _interopRequireDefault(_inquirer);

var _minimist = require('minimist');

var _minimist2 = _interopRequireDefault(_minimist);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var validateText = function validateText(value, message) {

  var isValid = value.length && !value.includes(' ') && !value.includes('\'');

  return isValid ? true : message;
};

var getQuestions = function getQuestions(args) {

  var questions = [{
    name: 'appName',
    type: 'input',
    message: 'App name',
    filter: function filter(value) {
      return value.toLowerCase();
    },
    default: function _default(answers) {
      return args.length > 0 ? args[0] : '';
    },
    validate: function validate(value) {
      return validateText(value, 'Please enter an application name without spaces or special characters');
    }
  }, {
    name: 'targetPath',
    type: 'input',
    message: 'Target directory',
    default: function _default(answers) {
      return answers.appName;
    },
    validate: function validate(value) {
      return validateText(value, 'Please enter a target directory without spaces or special characters');
    }
  }, /* {
     name: 'appType',
     type: 'list',
     message: 'App Type',
     choices: [
      { name: 'API + Client)', value: 'full', short: 'API+CLIENT' },
      { name: 'API only', value: 'api', short: 'API' },
      { name: 'Client only', value: 'client', short: 'CLIENT' }
     ]
     }, */{
    name: 'includeTests',
    type: 'confirm',
    message: 'Include (sample) unit tests ?',
    default: false
  }];

  return questions;
};

var getArgs = exports.getArgs = function getArgs() {
  return (0, _minimist2.default)(process.argv.slice(2));
};
var getAnswers = exports.getAnswers = function getAnswers(args) {
  return _inquirer2.default.prompt(getQuestions(args));
};